#
# spec file for package python-docopt
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-docopt
Version:        0.6.2
Release:        12.2
Summary:        Pythonic argument parser, that will make you smile
License:        MIT
Group:          Development/Languages/Python
Url:            http://docopt.org
Source:         https://pypi.python.org/packages/source/d/docopt/docopt-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
docopt creates beautiful command-line interfaces.

Isn't it awesome how optparse and argparse generate help
messages based on your code?!

Hell no!  You know what's awesome?  It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write this stupid repeatable parser-code,
and instead can write only the help message--the way you want it.

docopt helps you create most beautiful command-line interfaces
easily.

docopt is tested with Python 2.5, 2.6, 2.7, 3.2, 3.3 and PyPy.

%prep
%setup -q -n docopt-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE-MIT README.rst
%{python_sitelib}/*

%changelog
* Mon Sep 14 2015 ms@suse.com
- Package required in SLE12 due to fate#319400
* Mon Jul 14 2014 toddrme2178@gmail.com
- Update to 0.6.2
  * Wheel support
* Mon Feb 10 2014 speilicke@suse.com
- Add LICENSE-MIT README.rst, use proper macros and use setuptools
  instead of distribte (upstreams merged)
* Wed Feb  5 2014 arun@gmx.de
- initial commit to d-p-l. Below are the previous Changelog entries
  * 0.6.1 Bugfix release.
  * 0.6.0 options_first parameter.
    Breaking changes: Corrected [options] meaning.
    argv defaults to None.
  * 0.5.0 Repeated options/commands are counted or accumulated into a
    list.
  * 0.4.2 Bugfix release.
  * 0.4.0 Option descriptions become optional,
    support for "--" and "-" commands.
  * 0.3.0 Support for (sub)commands like "git remote add".
    Introduce [options] shortcut for any options.
    Breaking changes: docopt returns dictionary.
  * 0.2.0 Usage pattern matching. Positional arguments parsing based on
    usage patterns.
    Breaking changes: docopt returns namespace (for arguments),
    not list. Usage pattern is formalized.
  * 0.1.0 Initial release. Options-parsing only (based on options
    description).
